%define upstream_name    Image-SubImageFind
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl extension for locating a sub-image within an image
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Ticket/Display.html?id=93989
Patch1:         image_subimagefind_makefile.patch

BuildRequires: libfftw-devel
BuildRequires: libmagick-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Perl module to aide in locating a sub-image within an image.

%prep
#setup -q -n %{upstream_name}-%{upstream_version}
%setup -q -n %{upstream_name}
%patch1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test || :

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 16 2016 tv <tv> 0.30.0-5.mga6
+ Revision: 1021658
- patch 0: fix build on armv7

* Thu Feb 18 2016 umeabot <umeabot> 0.30.0-4.mga6
+ Revision: 966232
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.30.0-3.mga6
+ Revision: 843157
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 740777
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.30.0-1.mga5
+ Revision: 736330
- ignore testsuite faillures

  + jquelin <jquelin>
    - imported package perl-Image-SubImageFind

